summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/GridDataFormats/GridDataFormats-1.0.2.ebuild29
-rw-r--r--dev-python/GridDataFormats/Manifest2
-rw-r--r--dev-python/Manifest.gzbin267295 -> 267302 bytes
-rw-r--r--dev-python/argh/Manifest2
-rw-r--r--dev-python/argh/argh-0.30.0.ebuild28
-rw-r--r--dev-python/beartype/Manifest2
-rw-r--r--dev-python/beartype/beartype-0.16.4.ebuild35
-rw-r--r--dev-python/css-parser/Manifest2
-rw-r--r--dev-python/css-parser/css-parser-1.0.10.ebuild28
-rw-r--r--dev-python/dj-search-url/Manifest2
-rw-r--r--dev-python/dj-search-url/dj-search-url-0.1-r1.ebuild2
-rw-r--r--dev-python/django-cache-url/Manifest2
-rw-r--r--dev-python/django-cache-url/django-cache-url-3.4.4.ebuild2
-rw-r--r--dev-python/django-configurations/Manifest2
-rw-r--r--dev-python/django-configurations/django-configurations-2.5.ebuild44
-rw-r--r--dev-python/ensurepip-pip/Manifest2
-rw-r--r--dev-python/ensurepip-pip/ensurepip-pip-23.3.1.ebuild24
-rw-r--r--dev-python/fakeredis/Manifest2
-rw-r--r--dev-python/fakeredis/fakeredis-2.20.0.ebuild84
-rw-r--r--dev-python/fsspec/Manifest2
-rw-r--r--dev-python/fsspec/fsspec-2023.10.0.ebuild65
-rw-r--r--dev-python/insipid-sphinx-theme/Manifest2
-rw-r--r--dev-python/insipid-sphinx-theme/insipid-sphinx-theme-0.4.2.ebuild2
-rw-r--r--dev-python/jc/Manifest2
-rw-r--r--dev-python/jc/jc-1.23.5.ebuild32
-rw-r--r--dev-python/mkdocs-pymdownx-material-extras/Manifest2
-rw-r--r--dev-python/mkdocs-pymdownx-material-extras/mkdocs-pymdownx-material-extras-2.5.5.ebuild23
-rw-r--r--dev-python/pikepdf/Manifest2
-rw-r--r--dev-python/pikepdf/pikepdf-8.5.2.ebuild62
-rw-r--r--dev-python/pip/Manifest2
-rw-r--r--dev-python/pip/pip-23.3.1.ebuild130
-rw-r--r--dev-python/pycairo/Manifest2
-rw-r--r--dev-python/pycairo/pycairo-1.25.1.ebuild73
-rw-r--r--dev-python/sqlglot/Manifest2
-rw-r--r--dev-python/sqlglot/sqlglot-18.16.1.ebuild36
-rw-r--r--dev-python/tblib/Manifest2
-rw-r--r--dev-python/tblib/tblib-3.0.0.ebuild36
-rw-r--r--dev-python/websockets/Manifest2
-rw-r--r--dev-python/websockets/websockets-12.0.ebuild57
39 files changed, 824 insertions, 6 deletions
diff --git a/dev-python/GridDataFormats/GridDataFormats-1.0.2.ebuild b/dev-python/GridDataFormats/GridDataFormats-1.0.2.ebuild
new file mode 100644
index 000000000000..17991fb8df1a
--- /dev/null
+++ b/dev-python/GridDataFormats/GridDataFormats-1.0.2.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYTHON_COMPAT=( python3_{10..11} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Reading and writing of data on regular grids in Python"
+HOMEPAGE="
+ https://pypi.org/project/GridDataFormats/
+ https://github.com/MDAnalysis/GridDataFormats/
+"
+
+SLOT="0"
+LICENSE="LGPL-3"
+KEYWORDS="~amd64"
+
+RDEPEND="
+ dev-python/mrcfile[${PYTHON_USEDEP}]
+ >=dev-python/numpy-1.21[${PYTHON_USEDEP}]
+ dev-python/scipy[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
diff --git a/dev-python/GridDataFormats/Manifest b/dev-python/GridDataFormats/Manifest
index 009c7ba20ef3..dec48db005a8 100644
--- a/dev-python/GridDataFormats/Manifest
+++ b/dev-python/GridDataFormats/Manifest
@@ -1,3 +1,5 @@
DIST GridDataFormats-1.0.1.tar.gz 2155370 BLAKE2B 8bf5ce65cefdcf490b75212bca8831957769118fbad7fdce42b5634ed67a1f5d4ac454f7429b984bafd89f5bc883fff1bca9dc71f529794cdd585e186e41e063 SHA512 2cfb8c50b4d17fa978924a0e65ae27f6e125bd1055bfdc9096ea35511f4c2a8a16f6bd9c652b9130fbdd66d4d464d8074b14f47c175f98df94c02fe973a0107b
+DIST GridDataFormats-1.0.2.tar.gz 2158614 BLAKE2B b5cb9a8abe78a52a8b3f3a053d15a3f9eed73ede3a3a5ce1c29390efa654ebe0e79d42042241028c46a6ed8511fde0f4f2a576c58ab2003c58bfb86d9ae1cbda SHA512 e0f316cb5352dee2b0902122007bf78ba8605109b21ea9c21a02f1bd7649ffb1d5115459077aa33ceb6464c310e750e512835acbcb4ce2256ea6be6e5b10c098
EBUILD GridDataFormats-1.0.1.ebuild 641 BLAKE2B 01b81fd205262f4e0cb6f65af90d184c3c1abc8bcdec575355fc818d10118544b4c94c93df68d39a2c4653b86f48ae089fe3a0380bdf8223b758a70314545802 SHA512 a2d9b12c5d3a9c29fb1dbaf92559563853a9d735662dce508cffbc82bd4f7f46ab423638a7a03bb468b05b7ba807a51841b5f977456257e4c90cd4bd7b7ae563
+EBUILD GridDataFormats-1.0.2.ebuild 641 BLAKE2B 35e4035e5c0601eb4eb9e1ca3e0572b272e9c0e00851ed45de77b2af2a5e075f406dbd89dc57860c235583e4905d481f854a47540b8ae1ef86d427ff993b0567 SHA512 7afd0437f1d2c9622a33899260136450a48f5db0c91b3bad5d4bf24601cbb60b99fd4341a3b640b2aaee653cc85018fff65a7dd9b5fca2002c468ab8f3820ad1
MISC metadata.xml 608 BLAKE2B 25b3e613ce6776ecc00b7ab3e65ba253be7715f167b37d4fc4d625b035e8d24706cd56bc14f2f0cac2b3f4da6b84c8bcd2b219914490b9e3bc9fab0cbbc2ddfc SHA512 48ca119e78978f100a3212a59d716d49766e6bd523813c5395d05f705f1258e1899183d52faabfef95162b82ccfa08b5b771c1a00c53d7c42a54aaa97eb9ae52
diff --git a/dev-python/Manifest.gz b/dev-python/Manifest.gz
index b799f3149119..9a467747057d 100644
--- a/dev-python/Manifest.gz
+++ b/dev-python/Manifest.gz
Binary files differ
diff --git a/dev-python/argh/Manifest b/dev-python/argh/Manifest
index 38fe8a93c2c0..bea59021305a 100644
--- a/dev-python/argh/Manifest
+++ b/dev-python/argh/Manifest
@@ -1,3 +1,5 @@
DIST argh-0.29.4.tar.gz 52694 BLAKE2B 6d2b75200ea7b570ac199139ba7bc92b5bfa41fa4e21d19eff17d8506c4a28c6043413a25679cab52f9d81b8bb9a1f35b77ffee3beaa98c43660ad9e5c6b8dfc SHA512 017346afb237429de1228f604a763f919528fd359edfabb7b5a5c3a48c5e5be5a5a385672d54299cd15e5bc82257d8c33816fbc463873ffb9b3c3a54b40fccfc
+DIST argh-0.30.0.tar.gz 59803 BLAKE2B 2e0a5d9dfbe5177ac434224b78b0575f4b2b4373abee8ba97cbb31617e855309ed152e83e84c03c3b5666705493011bc4a0c86396ed5891914e9af3436d9b058 SHA512 a16fa32cd1fdcd842335ebecdaefce48d248a0a6449b592a3e83dbeb02543123e36dc057f457d7bb097c1b4e118d11a800ecc40a3847e81533d8dcf1d292111d
EBUILD argh-0.29.4.ebuild 568 BLAKE2B 101ad987971dbdfb496aecc1c8e0be5aa19a67df9e89accd4c0ffb000cde38a0238567d69935ce0acdb51bf2280cf88be3ab66253d09d10d07e561981f868a67 SHA512 3eb461338244c4f5a2c487c932aecaf185b3f2717fea8223b6de9353adf0d629863eb9ebf463601db19c0302d69dc09854dc823652c539d01b09572085f5cfdd
+EBUILD argh-0.30.0.ebuild 576 BLAKE2B adefc58efa7542e9e97e66d22aacbf443549eb9c97c6cb19b9cb4ed25e474016f6a60620f47333f06d17ac19183d25f1be348c97a87a13d051452c07c5cb90ba SHA512 cacf7a864e4e581f06ab6834014f67aa96e08d2dba09d8de5db00daef3dd6011e16a843a5afb5ad1c183ce85308a8e660eecd135dfd26959ba64c35ace6caaf8
MISC metadata.xml 385 BLAKE2B e1fc25e92c45fbd0183634cc645085fef5223a59975a5000557c1a2ef497c6f9ce017e462a9a881e61b4578c90859f51e5471d197ea884b7dc4ce90786a0987a SHA512 97719df6c0b48c7348bf25de9016dd1de373d6b9e1fd7f52d87eb6e0935608719c726aa3f4ca4aba8fa1211d1234c2b959dd821d241cd65b6cb47b1a06481df6
diff --git a/dev-python/argh/argh-0.30.0.ebuild b/dev-python/argh/argh-0.30.0.ebuild
new file mode 100644
index 000000000000..32a100a7ba11
--- /dev/null
+++ b/dev-python/argh/argh-0.30.0.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit
+PYTHON_COMPAT=( python3_{10..12} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="A simple argparse wrapper"
+HOMEPAGE="
+ https://pythonhosted.org/argh/
+ https://github.com/neithere/argh/
+ https://pypi.org/project/argh/
+"
+
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+LICENSE="LGPL-3"
+
+BDEPEND="
+ test? (
+ dev-python/iocapture[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
diff --git a/dev-python/beartype/Manifest b/dev-python/beartype/Manifest
index 836fc8fd61b7..7d450e6fc28c 100644
--- a/dev-python/beartype/Manifest
+++ b/dev-python/beartype/Manifest
@@ -2,8 +2,10 @@ DIST beartype-0.15.0.tar.gz 1002709 BLAKE2B 96aa96135c4e361790856bea3e905afe6cc0
DIST beartype-0.16.1.tar.gz 1039772 BLAKE2B ba3fb71f72c2b332ace7c653d61a8e60546af4f4385dab0676b48759783df33c352edab813c888dc20289044089f7a650c3d56789fc218a044519d0f6982892d SHA512 71ecfaed4113ff1e05a5ba4eef5321da3af7c19bfc53d92906ae2d1c45e5eb8aa4602a3bbd296b242b2a000e03198267ece9c5e963e5216517ad170661e98198
DIST beartype-0.16.2.tar.gz 1043099 BLAKE2B 9d71ec55db5429036b9ff8aba7b4c4b8332fb21100e746040ddf92689e55566a8bdb6bbff08eace7a3782b41e75f1e5c7a3d23304dacfd9332b327fd0623533c SHA512 a6c374f96084f0da29733b5fdc145f37de73214a9905e501a9bd30e0ab503165875cb876b2e8d9735971718696a5f3f50d9ee7c8aa12c34df29f6ed7e729c02c
DIST beartype-0.16.3.tar.gz 1061171 BLAKE2B 8f8a3f8408585e3c17d3c760b137a7c9e1e8f674c369b7e749652cdc812ed3224c0f9e33b0b7c29c22140a01c0ca012e9f063f3449afd26e65fce7c6a09253aa SHA512 0274859e7722affe115637adbad031a5794d2d9e0fb49480a356c44dcf1cc54a71216faf02c3a5160e7ebee7bfbe99fa64e05a8cd47ed43f81beb5babe7acc19
+DIST beartype-0.16.4.tar.gz 1063638 BLAKE2B a5e399f070cb0e7b9046eeb66f98d5ea194482d9d10db0f63269f2f085ad30c5a103dbb4f4f6e167fef56c348e9de63bd9c70812170c159d9b913235cf769bd9 SHA512 377bf525bdbc46879b2b864289d0450ec7835e424c3d31b682b4d9460f0d65f9759e4e1dc3e6e9b42047f7555ae7dfa8e7598d2181d25c94f30e01f7d006a741
EBUILD beartype-0.15.0.ebuild 760 BLAKE2B a345abe3cef7e841b29dc99985ea96b26b5ec5c1e7c54828ef85860bc524b3fab7c5cc1b0b564cf70e8a2aa0059fc56c6db29d7c48c3c12bfc06569f67b8744d SHA512 cb692762b450a4fdb3e34fdef01cdad2dc40ba22e3f2fbfbec22efee807a0f1e661fa2d4011beb658f8fc594edd73901a5d719258a057c69d4f105ab76ac106c
EBUILD beartype-0.16.1.ebuild 760 BLAKE2B a345abe3cef7e841b29dc99985ea96b26b5ec5c1e7c54828ef85860bc524b3fab7c5cc1b0b564cf70e8a2aa0059fc56c6db29d7c48c3c12bfc06569f67b8744d SHA512 cb692762b450a4fdb3e34fdef01cdad2dc40ba22e3f2fbfbec22efee807a0f1e661fa2d4011beb658f8fc594edd73901a5d719258a057c69d4f105ab76ac106c
EBUILD beartype-0.16.2.ebuild 760 BLAKE2B a345abe3cef7e841b29dc99985ea96b26b5ec5c1e7c54828ef85860bc524b3fab7c5cc1b0b564cf70e8a2aa0059fc56c6db29d7c48c3c12bfc06569f67b8744d SHA512 cb692762b450a4fdb3e34fdef01cdad2dc40ba22e3f2fbfbec22efee807a0f1e661fa2d4011beb658f8fc594edd73901a5d719258a057c69d4f105ab76ac106c
EBUILD beartype-0.16.3.ebuild 760 BLAKE2B a345abe3cef7e841b29dc99985ea96b26b5ec5c1e7c54828ef85860bc524b3fab7c5cc1b0b564cf70e8a2aa0059fc56c6db29d7c48c3c12bfc06569f67b8744d SHA512 cb692762b450a4fdb3e34fdef01cdad2dc40ba22e3f2fbfbec22efee807a0f1e661fa2d4011beb658f8fc594edd73901a5d719258a057c69d4f105ab76ac106c
+EBUILD beartype-0.16.4.ebuild 760 BLAKE2B a345abe3cef7e841b29dc99985ea96b26b5ec5c1e7c54828ef85860bc524b3fab7c5cc1b0b564cf70e8a2aa0059fc56c6db29d7c48c3c12bfc06569f67b8744d SHA512 cb692762b450a4fdb3e34fdef01cdad2dc40ba22e3f2fbfbec22efee807a0f1e661fa2d4011beb658f8fc594edd73901a5d719258a057c69d4f105ab76ac106c
MISC metadata.xml 393 BLAKE2B f22040a947a67160c9b4c2d41db713ea69ae7a272aba75c04b1620e3f813d62718425acbc8c18716981e4176ebeabc5b60e9376d9927552ea5a36b51b7baccdd SHA512 dea8caeb6e9091672994cee213be075819d593d1034cbc7e2b076f3fc32bd2afde13b6af094956885c9ddaa72f272c6a198f4f92e7b095606fdf900a4cec47ec
diff --git a/dev-python/beartype/beartype-0.16.4.ebuild b/dev-python/beartype/beartype-0.16.4.ebuild
new file mode 100644
index 000000000000..1600c2778175
--- /dev/null
+++ b/dev-python/beartype/beartype-0.16.4.ebuild
@@ -0,0 +1,35 @@
+# Copyright 2022-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..11} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Unbearably fast runtime type checking in pure Python"
+HOMEPAGE="
+ https://pypi.org/project/beartype/
+ https://github.com/beartype/beartype/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+
+BDEPEND="
+ test? (
+ dev-python/mypy[${PYTHON_USEDEP}]
+ dev-python/numpy[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+ # fragile performance test
+ beartype_test/a00_unit/a90_decor/test_decorwrapper.py::test_wrapper_fail_obj_large
+ # test for building docs, apparently broken too
+ beartype_test/a90_func/z90_lib/a00_sphinx
+)
diff --git a/dev-python/css-parser/Manifest b/dev-python/css-parser/Manifest
index 7c23fd7be5aa..e362b6cec801 100644
--- a/dev-python/css-parser/Manifest
+++ b/dev-python/css-parser/Manifest
@@ -1,3 +1,5 @@
+DIST css-parser-1.0.10.tar.gz 349673 BLAKE2B 30ba106620e488532d3cfbd84fc44b0bc15f1e98c7ca3db5a04476810f1bd7ff62c425a052e141a2f13d15e30bd8d1ad83bf769ccce256bef5b723560e230810 SHA512 1f339eb5771fb1ff2f2fc5dbcbe86f6ad09d0ae1abeca96194e6d3c0c4e385ae7366618f28d01010e764fa81d30aec7ccfcbeea2a084c8528be33812307149c8
DIST css-parser-1.0.9.tar.gz 349482 BLAKE2B b3ea0e6f10179882827e614837fc109fb9fe926a05fb497c1dd6239e289cf712512d86bb3974adba41cc4bbd0babf623a637604a676b6725dd1e9b49c53c3170 SHA512 487213f870066b2264ec4d7ee4a41819fe2c92187c64557ea011c1a24fbdf623e802ab6a3a828e5e5d23c3d684344b64805676d15837d421a85fba28771af664
+EBUILD css-parser-1.0.10.ebuild 569 BLAKE2B 68ae122d265f25ae648a82c6cfb4897021b0f01c0ec2623c51643ab97e1b0d0e32b321a670fc286a6ee8f41e6d14509eb924fb9b54039707f19fb5b14d5c2919 SHA512 5545aaa84cd292081bf9e6ecf41235e399e88c2588e0d70557c6eceb4ae1f400a06ede22d15bdd2d7177503b8d32fc0b71aede881ef26c8279942f33c1d24502
EBUILD css-parser-1.0.9.ebuild 567 BLAKE2B f792c270afbb26e0139668ec44db58322f1f4a53af6130a6e55b2fbe1b90723897b9affe94551ca1e72c252d5d8e96bd539a4bbdd7d937da4a4bd07e23efc728 SHA512 10b79d20749a7f5d74bd6fd252af74b0b1e3b1e9605f4f59a72afb4b1885cd04ef0cb42ae952459d432b16278145e2dbb2d93eded93d4a9397b613b36765144a
MISC metadata.xml 479 BLAKE2B 117a5a889216d7f10d68f4f61a5787e5c921167a26d099e1f268916f5e96c8332a396d2a41d76411e48a67991473ac2dae158b8c978bbc6a88cc015e79d32f5a SHA512 339cb0d6b67f1aa92e4ebef1ffd1dd79975e92d67b91c0fb88a39ae6bd54a7e713964655d8e486b7107562cb5b186404714531c5b348985cbf8d598c00b29f75
diff --git a/dev-python/css-parser/css-parser-1.0.10.ebuild b/dev-python/css-parser/css-parser-1.0.10.ebuild
new file mode 100644
index 000000000000..2473bba51393
--- /dev/null
+++ b/dev-python/css-parser/css-parser-1.0.10.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="A CSS Cascading Style Sheets library (fork of cssutils)"
+HOMEPAGE="
+ https://github.com/ebook-utils/css-parser/
+ https://pypi.org/project/css-parser/
+"
+
+LICENSE="LGPL-2.1+"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~riscv ~x86"
+
+BDEPEND="
+ test? (
+ dev-python/chardet[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests unittest
diff --git a/dev-python/dj-search-url/Manifest b/dev-python/dj-search-url/Manifest
index e41f61ecd717..8ee2fa67c273 100644
--- a/dev-python/dj-search-url/Manifest
+++ b/dev-python/dj-search-url/Manifest
@@ -1,3 +1,3 @@
DIST dj-search-url-0.1.tar.gz 2815 BLAKE2B 75abd5bcd0d4b39a40c2c1a28eb02e903a40198f111364774af53375c21424ce170dc4d5f2fe7b51e884849d7700efeb3c99d534272002f60397099ea27da898 SHA512 9b233a8dc1ec8d6a81154ddbf6966beeb8fe4b62c1c7faf5e623409403dc2d64db1749552878b2a1edab1d3264820840bf14e7fcc2e54fafe5ca4d68a207fa5d
-EBUILD dj-search-url-0.1-r1.ebuild 473 BLAKE2B 736cbed974b6dbc93c91437e644d21bf88eb82406ab6977c7df0282276123c7916af3288fb7e23b7899b40dc86bcb3cdfb3eb9895063eacaf2dcca7977e70417 SHA512 90da1574aa3a4086e87d38dacc915eb8ba7f71561b96fa359127be1b9f0c38f14c2204366d1f04e828823a9a5be22916b0df99ad32b8c54dd4cf60c500470516
+EBUILD dj-search-url-0.1-r1.ebuild 474 BLAKE2B 2614c024eb17378b2cffd8580b93ebef5be3829c3c9836b0a11a70501fa190f67048f4c43e967150c9ed04339ba940193de069c95d087d7a75a2012b04797c36 SHA512 2ce97c801ac5d1114e0c0552b105124e7b6e95b0ed85cd48f2527b4a68ea117e7f6342d93309395a416a3183d65ec209385fe2290127501098fa5862717f3058
MISC metadata.xml 380 BLAKE2B 7a9b7eca520f86c5a047286b9556513d719043b71f58266ae247e0477fdf01c7a11db14acd3a8769763f0044fb4aac14c1d6c542a3a1e64a4e26d8101a4ef823 SHA512 987cebd87fff24b8900502450523c6218b7d7c10a48ccbbb1b36fce6adc404d8d865503c10b2dbfc9872deeaf5ab1583db79034d091ddb08575c44baedfdea19
diff --git a/dev-python/dj-search-url/dj-search-url-0.1-r1.ebuild b/dev-python/dj-search-url/dj-search-url-0.1-r1.ebuild
index 3ac0c817ad4f..610ec08a4be7 100644
--- a/dev-python/dj-search-url/dj-search-url-0.1-r1.ebuild
+++ b/dev-python/dj-search-url/dj-search-url-0.1-r1.ebuild
@@ -5,7 +5,7 @@ EAPI=8
DISTUTILS_USE_PEP517=setuptools
PYPI_NO_NORMALIZE=1
-PYTHON_COMPAT=( python3_{9..11} )
+PYTHON_COMPAT=( python3_{10..12} )
inherit distutils-r1 pypi
diff --git a/dev-python/django-cache-url/Manifest b/dev-python/django-cache-url/Manifest
index 612487da227d..39f3234ea161 100644
--- a/dev-python/django-cache-url/Manifest
+++ b/dev-python/django-cache-url/Manifest
@@ -1,3 +1,3 @@
DIST django-cache-url-3.4.4.gh.tar.gz 8671 BLAKE2B 5245e87b786470e45ca1e30a39337904577889b15d644fbef94f55e861de7d2bb8b6725b6e62c58424511fb3f81093a6d3107cc1a8f8dc575e5463d6ab2e6c13 SHA512 745fddec8546c4ad4b70d7a039e0954f1c99cb91766a10185b29804cd69560a3dd64f90a85bb1a9ae029d34038944b288b4c497ad15492791121ea9c61fd6ae5
-EBUILD django-cache-url-3.4.4.ebuild 771 BLAKE2B fbeb2dcd84bc6ddc0cf48743d3c02feb740ad816c3510c868be1b89e80da04b5370ae0cb324cc35fb2bd052fad9313b631b486db938b0151ec329c4dd0e6cd7b SHA512 d60fa08e453c075353a3ef3072352cee5ecfe65cd3039eed430448cf36a6d3119eddb58675e9def6067d9150aa542dd5a5b711e3071be386f861063f1a336f22
+EBUILD django-cache-url-3.4.4.ebuild 772 BLAKE2B 9a4b9d3f83a77cddef82a1421e2e57c44aa52c90f69ab3e5c69089022da7761ecc13d14ed0c4381973e69d9d153a67ff9b63f023e658976573ef0308394309e9 SHA512 ca6a7aef8a41ea7d23319c7fa27025b3a91b57a8c0909b354494c6ffad4efc81a970394eebfa6243974413afb91856c554be5eb8510f61fa468893a8faff2274
MISC metadata.xml 515 BLAKE2B 0933720797d254031a1a8b134cbede61196f6f6bba8e09decb144c0db328e42faab7cbd3015dcc682711ce45cfe3466fb4c4ffa65bb18305be06937460e61822 SHA512 d6be30d34de3601f3c364094d23a3d322e3fed2f3badf28f132cc6464996bf7bda32cf970b397997554649232d72af747ebc1d4f4815397a6a32e2008438d18f
diff --git a/dev-python/django-cache-url/django-cache-url-3.4.4.ebuild b/dev-python/django-cache-url/django-cache-url-3.4.4.ebuild
index 5871b9ee4865..e359f123a75f 100644
--- a/dev-python/django-cache-url/django-cache-url-3.4.4.ebuild
+++ b/dev-python/django-cache-url/django-cache-url-3.4.4.ebuild
@@ -4,7 +4,7 @@
EAPI=8
DISTUTILS_USE_PEP517=setuptools
-PYTHON_COMPAT=( python3_{9..11} )
+PYTHON_COMPAT=( python3_{10..12} )
inherit distutils-r1
diff --git a/dev-python/django-configurations/Manifest b/dev-python/django-configurations/Manifest
index d2b9e0c74f04..b5e04c498c29 100644
--- a/dev-python/django-configurations/Manifest
+++ b/dev-python/django-configurations/Manifest
@@ -1,3 +1,5 @@
DIST django-configurations-2.4.1.tar.gz 42952 BLAKE2B 3ed30642b256a648ab5932edd9b2cb5b2a82e69bb1107a5c2bd20d230cbb598f21eddcf52956bf80d6fe3c6e6336c70dfadf2fc5a646dcd32782abc782fe8e32 SHA512 ab35216b326d50d779344efa915d516ffa4a1d5e627c77b27071f6d51c54ea367a0f7ec5a7b768cabd69929499dfeb3e5719ba8fbe690f6854d92ee45a04bf1d
+DIST django-configurations-2.5.tar.gz 43152 BLAKE2B 35976466132f9b78a031955c891733cb0a01f20d39d53708ed5100492b3a1963e50228f3175437f54201fb6d992312c641e08562a85cf57cb089f2c7678101e7 SHA512 a6e3f301bf6123234245a5fe88f4b0eecfc021230c593d2864a969560d52c70b6932c0fac64cd83f21fb06b83821d37320181f0601450d6f3cd4e4b06c4ae9f5
EBUILD django-configurations-2.4.1.ebuild 1099 BLAKE2B 15756f69fe4617139e65b6e9d4ec8ad0e36c0a0567469251674314f26fbdcd97c818463f6c3064ab7225f1cbf1d6ed949e9ddc14f80226891648c5943718cf69 SHA512 9e310244a8b3cb63c83b159942a98333264f119a7ec3427219cb02379f0e932718061a2fc848e8f91d3f3ca775cc9859dc1f65e08e6c2b2f7658487a9f49e3ac
+EBUILD django-configurations-2.5.ebuild 1104 BLAKE2B 938c0bdc6cbf0b4a67959788a4a8ed1349d76764a7137e0b98078af7ceaa2fb1a3cc9e6c95965e4cfed3bed091947b33bd68adb2b5cfa590aa70e85ec47484df SHA512 45afc12ede5232277df64db486ff1fb26e74cf9df0eae9cbca6cfde2015a8064c5509e554495c15e06048274e50442dc1aec0641c4ae14e9e954a3c172bf6c3d
MISC metadata.xml 397 BLAKE2B 704a6d38af3df4b99f24a394dce870ce4f3e1e16c2a30b87ab25ab4b3603451651db062d2aca6669b410bf5350b0edc7b4848ef55bc60c69edc3aedeb8a7c0fc SHA512 a37389a326e763452c7ea138da3eb33dad53bbce24fbd9229e58020063d4e726e68e482500c87238bc0c53b9ee335f93f2d89f39e7ce3e2a087175a2393c66e4
diff --git a/dev-python/django-configurations/django-configurations-2.5.ebuild b/dev-python/django-configurations/django-configurations-2.5.ebuild
new file mode 100644
index 000000000000..40507eae52db
--- /dev/null
+++ b/dev-python/django-configurations/django-configurations-2.5.ebuild
@@ -0,0 +1,44 @@
+# Copyright 2021-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYPI_NO_NORMALIZE=1
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="A helper for organizing Django settings"
+HOMEPAGE="
+ https://pypi.org/project/django-configurations/
+ https://github.com/jazzband/django-configurations/
+ https://django-configurations.readthedocs.io/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ >=dev-python/django-3.2[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-python/setuptools-scm[${PYTHON_USEDEP}]
+ test? (
+ dev-python/django-cache-url[${PYTHON_USEDEP}]
+ dev-python/dj-database-url[${PYTHON_USEDEP}]
+ dev-python/dj-email-url[${PYTHON_USEDEP}]
+ dev-python/dj-search-url[${PYTHON_USEDEP}]
+ )
+"
+
+export SETUPTOOLS_SCM_PRETEND_VERSION=${PV}
+
+python_test() {
+ local -x DJANGO_SETTINGS_MODULE=tests.settings.main
+ local -x DJANGO_CONFIGURATION=Test
+ PYTHONPATH=. django-cadmin test -v2 || die "Tests failed with ${EPYTHON}"
+}
diff --git a/dev-python/ensurepip-pip/Manifest b/dev-python/ensurepip-pip/Manifest
index 89d01f7cb901..78f920b6151d 100644
--- a/dev-python/ensurepip-pip/Manifest
+++ b/dev-python/ensurepip-pip/Manifest
@@ -1,5 +1,7 @@
DIST pip-23.2.1-py3-none-any.whl 2086091 BLAKE2B 0a35bf4ba589f07e3c800d8f835e4bcdcd433976db83f91c86e12a2316b0b1c7de7120b248d70fe8b5587c28bb3c6e7bc633c64cdfb65a1f18f87a9e7a423181 SHA512 016a8cbd09384f1a9a44cb0e8274df75a8bcb2f3966bb5d708c62145289efaa5db98f75256c97e4f8046735ce2e529fbb076f284a46cdb716e89a75660200ad9
DIST pip-23.3-py3-none-any.whl 2106643 BLAKE2B bc5d93e71dadba670ef19f8331dd8d9e7fd5f0f70f90de39a3437b25521bb61c97690793d67d4306a98c728fd9eb5fb5848f1abec853d7878b4bab792a51f6a7 SHA512 2ac3e66eb86b90e8bafd1825e84288af81d09ddb60f68b631838d14479b953ad0c6bdc933d754b5f02520401908828a0a8c518f04b0060c82b666e0d01e87ea6
+DIST pip-23.3.1-py3-none-any.whl 2107242 BLAKE2B d5ea7ead01468f1f6a5c60811de9410d260e820638c0073f70e480dd3678e7413ae612913c01456779d391a6108ce939eced95392696eb5b1cc26b3a7a04a99d SHA512 1a60d153982c1c5997d3826f4084b39ec4054228376093ee15c1f4be0781e78c4b1e5219b5f05cdc464588dec379f9f2cc21f075aa0a11a148d3545a547b9889
EBUILD ensurepip-pip-23.2.1.ebuild 645 BLAKE2B e5e007e2866582afab1292d7435e4eedee0f46bdf005d144e0c7c07bcf6c8460a32c60fe9260048b0f37030af1ca960ddf8a7e7bec05c0ffddf6397fc4634b28 SHA512 6cb1172140385cc6d6c65190990221c76246dfd9922a502755c5d8295429d2d3b997fd8d372f7713399090da83c9ec3ab4ec372a86129c809231eeea3597b2ab
+EBUILD ensurepip-pip-23.3.1.ebuild 653 BLAKE2B 7de97648cd4add911be02952862b975df3b7fad7daa24716f34b7f192b4d6a0b4cbbdbb7a924068de58bf2d6d2a6a543af81fcc0488c3238597ef05f60f6191c SHA512 152f91fa0ae5a6833ce07b94c7bccac40006c264ab221db45c25647984d58ef58c914203cd45a6c8527c3903e88976a187b90f3543d52ce4e18043d0fb46b450
EBUILD ensurepip-pip-23.3.ebuild 653 BLAKE2B 7de97648cd4add911be02952862b975df3b7fad7daa24716f34b7f192b4d6a0b4cbbdbb7a924068de58bf2d6d2a6a543af81fcc0488c3238597ef05f60f6191c SHA512 152f91fa0ae5a6833ce07b94c7bccac40006c264ab221db45c25647984d58ef58c914203cd45a6c8527c3903e88976a187b90f3543d52ce4e18043d0fb46b450
MISC metadata.xml 309 BLAKE2B 197e5620aab85ff590270ae6838c9188cd699943af4c9c3eeb7de92c2e9390c082eec603e63bc2bba39477586f19e58da2e5fe2d5ffe9b59b87ae5386c939df1 SHA512 c678bc8fb62f6e6850939ebff56962503bb03393572cfff7e5f7d38e8cf5ca71d8e38e402355c5f963fb718eed24bca463d7c63fede5cbb550f6f32a9c06af9e
diff --git a/dev-python/ensurepip-pip/ensurepip-pip-23.3.1.ebuild b/dev-python/ensurepip-pip/ensurepip-pip-23.3.1.ebuild
new file mode 100644
index 000000000000..474a502c1273
--- /dev/null
+++ b/dev-python/ensurepip-pip/ensurepip-pip-23.3.1.ebuild
@@ -0,0 +1,24 @@
+# Copyright 2022-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit pypi
+
+DESCRIPTION="Shared pip wheel for ensurepip Python module"
+HOMEPAGE="https://pypi.org/project/pip/"
+SRC_URI="$(pypi_wheel_url "${PN#ensurepip-}")"
+S=${DISTDIR}
+
+LICENSE="Apache-2.0 BSD BSD-2 ISC LGPL-2.1+ MIT MPL-2.0 PSF-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~arm64-macos ~ppc-macos ~x64-macos ~x64-solaris"
+
+RDEPEND="
+ !<dev-python/ensurepip-wheels-100
+"
+
+src_install() {
+ insinto /usr/lib/python/ensurepip
+ doins "${A}"
+}
diff --git a/dev-python/fakeredis/Manifest b/dev-python/fakeredis/Manifest
index 4d1e3ce20383..c4f98ac1e0e1 100644
--- a/dev-python/fakeredis/Manifest
+++ b/dev-python/fakeredis/Manifest
@@ -1,3 +1,5 @@
DIST fakeredis-2.19.0.tar.gz 117030 BLAKE2B 05976b1011bb3933b275755498cf7b893afc93cbbb0bfcce67d01692f1ebc4bee1b6cddd406eaca4d46f595cde2805f43e767aef1ca491ccfc4afcf7b983b444 SHA512 1800933b86369c7b857e7609e2a6af8d469c713a23bfd792fc8df2695e8aabcb2cd1fa6138f7eb908fbecc9c6e2c242f7da47864067498c5e180956b578985aa
+DIST fakeredis-2.20.0.tar.gz 122679 BLAKE2B 2fd982761fe6e8bd66d2d93b7140b9b97e20d33e40827ac9ab7d050d6e9814891e8a1f95a4f789bc78a1589fe215b40834876da5a3dd0a0ea6f8f7a3489ba400 SHA512 3c71a42df92a92b02c4774cf120c697a5e7f376768923b74561fb4cbe10605b4d57ea826d2b8c4d304ff1e12cf4c84d0fbebc34edd0afa0b0241ff7cb707e5de
EBUILD fakeredis-2.19.0.ebuild 2127 BLAKE2B e3034eddb918580ab4b263f41e0a2b3cdf24883306a9228229ececebc6874959dc71a880442c587196e1a294795a4451a424dd714d516924146447323546d78d SHA512 75d48c18b7b24dc53f4b3d07b8fab7195f78e6a80a74800b042577e47bb7a428382574178fb90f912ea76e10efca5a107d0bbefe764a77cdda17a9b327625020
+EBUILD fakeredis-2.20.0.ebuild 2175 BLAKE2B 9830a9452a9843e65fd130f4e4be4d93ceb9c6efbeb2c3eee9dd9e9ce63e9f210cbe596b16a5c9920d2ce5cec2a84fab2e63c799feeb7476efbe9e7cfe310f69 SHA512 865a9fd584d8ddefe9d0e842f6f7aaec087ca87b1562977aef12f86d22a0ac30e8c59ab411fc8a15dd84b255b4ca26b7d047752ff4e3d20b1f18157e7df0f127
MISC metadata.xml 373 BLAKE2B 1de33db59658e6190cd0346be58208cae6c9143a52f49dc289e68aaa0d860b5bd68dfb54f2e0b005f60a67f5caa430e2ce94fc69e64bd27e1bbebb07ad29e602 SHA512 24bfcf4919363fef45c182b6de66221e580ee0e9e99ce46e91b767655dc0b6f8a9fa6c3512ba84d1040698c43a0b6a853ad8d63c1ee5fbc00a1d192defb24db5
diff --git a/dev-python/fakeredis/fakeredis-2.20.0.ebuild b/dev-python/fakeredis/fakeredis-2.20.0.ebuild
new file mode 100644
index 000000000000..e7ea729b1da1
--- /dev/null
+++ b/dev-python/fakeredis/fakeredis-2.20.0.ebuild
@@ -0,0 +1,84 @@
+# Copyright 2020-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=poetry
+PYTHON_COMPAT=( pypy3 python3_{10..12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Fake implementation of redis API for testing purposes"
+HOMEPAGE="
+ https://github.com/cunla/fakeredis-py/
+ https://pypi.org/project/fakeredis/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86"
+
+RDEPEND="
+ dev-python/packaging[${PYTHON_USEDEP}]
+ >=dev-python/redis-4.2[${PYTHON_USEDEP}]
+ <dev-python/sortedcontainers-3[${PYTHON_USEDEP}]
+ >=dev-python/sortedcontainers-2[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-db/redis
+ dev-python/pytest-asyncio[${PYTHON_USEDEP}]
+ dev-python/pytest-mock[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # also lupa
+ test/test_aioredis2.py::test_failed_script_error
+ # TODO
+ "test/test_fakeredis.py::test_set_get_nx[StrictRedis]"
+ "test/test_fakeredis.py::test_lpop_count[StrictRedis]"
+ "test/test_fakeredis.py::test_rpop_count[StrictRedis]"
+ "test/test_fakeredis.py::test_zadd_minus_zero[StrictRedis]"
+ "test/test_mixins/test_pubsub_commands.py::test_pubsub_channels[StrictRedis]"
+ test/test_mixins/test_set_commands.py::test_smismember_wrong_type
+ # new redis-server?
+ "test/test_mixins/test_pubsub_commands.py::test_pubsub_shardnumsub[StrictRedis]"
+ # json ext
+ test/test_json/test_json.py
+ test/test_json/test_json_arr_commands.py
+ )
+ local EPYTEST_IGNORE=(
+ # these tests fail a lot...
+ test/test_hypothesis.py
+ )
+ local args=(
+ # tests requiring lupa (lua support)
+ -k 'not test_eval and not test_lua and not test_script'
+ )
+ # Note: this package is not xdist-friendly
+ epytest "${args[@]}"
+}
+
+src_test() {
+ local redis_pid="${T}"/redis.pid
+ local redis_port=6379
+
+ einfo "Spawning Redis"
+ einfo "NOTE: Port ${redis_port} must be free"
+ "${EPREFIX}"/usr/sbin/redis-server - <<- EOF || die "Unable to start redis server"
+ daemonize yes
+ pidfile ${redis_pid}
+ port ${redis_port}
+ bind 127.0.0.1
+ EOF
+
+ # Run the tests
+ distutils-r1_src_test
+
+ # Clean up afterwards
+ kill "$(<"${redis_pid}")" || die
+}
diff --git a/dev-python/fsspec/Manifest b/dev-python/fsspec/Manifest
index c063bec6361d..3700a5bfee94 100644
--- a/dev-python/fsspec/Manifest
+++ b/dev-python/fsspec/Manifest
@@ -1,3 +1,5 @@
+DIST filesystem_spec-2023.10.0.gh.tar.gz 404845 BLAKE2B 6c8cf801664c9fc848cb55660db1725c90facf534d58e49f604b2051d1b6a78d13d8f083282071beb7ab3dcb8d75f6d52fe24ce744c5cf1808b4ae3cb673998d SHA512 cb449052208516930c73dbe1de7c495d252677a3d3d85267836224d79c1b8cf9449ebdba8287f6f6206d5a8e631a99cd81c2fb62b82288a626a202876a45139c
DIST filesystem_spec-2023.9.2.gh.tar.gz 400298 BLAKE2B ef7c7c2eac91b190277331aac30b2b03605d3e2758536f6f0d3b894b5e236aa77f3c94a05105180ba44aa438204ef636dcfae8c35c307b40f6e7b2ce8a6e1e2c SHA512 bc61ec65af387f9f11d8f48f57fc50fed657ff6f078f619dd2c6bef20e50576533e34da8452ec13af1e30be336674f2d38032b027c8e9354144b7ed7023b50fe
+EBUILD fsspec-2023.10.0.ebuild 1708 BLAKE2B 43726784283ca374e767b17e8a0a7af4ead8d161aa0a7f5c56af859eea7d3bb36c0c75d39e2ef4a59846e44d97354ac74d0cea0af7f705f38cd6e8dafe037bd1 SHA512 9c8501b00e7d150200a6540492f98d24f7ca02f389eb7516294984df50c39c065bad75957907c45f2fd156f4568046f33f317b5909032ff736b12f1862a70d43
EBUILD fsspec-2023.9.2.ebuild 1663 BLAKE2B 387adf64d493479474001e99c8465312dd05608ef3e31997d4573f07937390d2c4246d0db0c4acc3ee3597f4dbff8248787907e0732dd831e7d174a6e612adcc SHA512 9abec94ffa7472d6120d1fc6aed607ed9b3c1ed0f02b7a5aed2c93b3a604f154c01a74d8426d6e8545b57a93aca27bed1f3a67e7d85235f8a5b7096d1d8d1ef7
MISC metadata.xml 374 BLAKE2B 6c0b18a0ad3b85713ae6f618ac0646ed63f08549bd7d1ed5bd94b80d89d79efaf2f97ce913a0a7d6e54e77cc602994416520a22deadcc71e484cf7ca22bc6dde SHA512 5bf051387d6bcffb3022d023f60ee8f76ca277bb8d626dda988a0baaf1d1e3a71e872d8316607ee7e269e579b5a17c23ab93c56fade533150171d3ce44e4bb71
diff --git a/dev-python/fsspec/fsspec-2023.10.0.ebuild b/dev-python/fsspec/fsspec-2023.10.0.ebuild
new file mode 100644
index 000000000000..1cdf466d85da
--- /dev/null
+++ b/dev-python/fsspec/fsspec-2023.10.0.ebuild
@@ -0,0 +1,65 @@
+# Copyright 2020-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1
+
+MY_P=filesystem_spec-${PV}
+DESCRIPTION="A specification that python filesystems should adhere to"
+HOMEPAGE="
+ https://github.com/fsspec/filesystem_spec/
+ https://pypi.org/project/fsspec/
+"
+SRC_URI="
+ https://github.com/fsspec/filesystem_spec/archive/${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86"
+
+BDEPEND="
+ test? (
+ dev-python/aiohttp[${PYTHON_USEDEP}]
+ dev-python/numpy[${PYTHON_USEDEP}]
+ dev-python/pytest-asyncio[${PYTHON_USEDEP}]
+ dev-python/pytest-mock[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/tqdm[${PYTHON_USEDEP}]
+ dev-vcs/git
+ )
+"
+
+# Note: this package is not xdist-friendly
+distutils_enable_tests pytest
+
+src_test() {
+ git config --global user.email "you@example.com" || die
+ git config --global user.name "Your Name" || die
+ distutils-r1_src_test
+}
+
+EPYTEST_DESELECT=(
+ fsspec/tests/test_spec.py::test_find
+ # requires s3fs
+ fsspec/implementations/tests/test_local.py::test_urlpath_inference_errors
+ fsspec/tests/test_core.py::test_mismatch
+ # requires pyarrow, fastparquet
+ fsspec/implementations/tests/test_reference.py::test_df_single
+ fsspec/implementations/tests/test_reference.py::test_df_multi
+)
+
+EPYTEST_IGNORE=(
+ # sftp and smb require server started via docker
+ fsspec/implementations/tests/test_dbfs.py
+ fsspec/implementations/tests/test_sftp.py
+ fsspec/implementations/tests/test_smb.py
+ # unhappy about dev-python/fuse-python (?)
+ fsspec/tests/test_fuse.py
+)
diff --git a/dev-python/insipid-sphinx-theme/Manifest b/dev-python/insipid-sphinx-theme/Manifest
index 255dcebf33a0..586cd2e2e70b 100644
--- a/dev-python/insipid-sphinx-theme/Manifest
+++ b/dev-python/insipid-sphinx-theme/Manifest
@@ -1,5 +1,5 @@
DIST insipid-sphinx-theme-0.4.1.tar.gz 73400 BLAKE2B 1b156787354219ba9b31905748c6d786021ce6e349a120e60416fc1de215d6f8d898bc0e91514043bb2e5c13d4004f22a906e525a4b0d610de4024b07e81af5f SHA512 aa7eb3768f48c481518984028c7911810afca3a6c4c93ec50efcf6f7b41efe9959acdf4b24d54bf8402eee829789b6945a2fa1a7648011d4566e174a7c5ca99e
DIST insipid-sphinx-theme-0.4.2.tar.gz 73415 BLAKE2B 0f17fc5fec19926ec6e134b716ef36617e0be66d771c76237923b3f77508b1fc1fb39b790d5ac72c1cff61e4f7a484b42bd6b0eec954afac1d758284cc073ed3 SHA512 934208afcc88a72b188c64f147ff0bc6508ad1b8aa5ee061620ec53725d2a9781ea503a16fb42db3f2bcd45774d3a9f611de251f71ca0b6162cf0d6653a1a058
EBUILD insipid-sphinx-theme-0.4.1.ebuild 665 BLAKE2B 5cede566bf41330e06eba989a6aaecc216a4dad37cf690764ef3f967df2ae8c84368cb805712a2236c53ff0d22ca288a24106093571d25ec450b5962123af501 SHA512 696fb1badcb98c0b91ff36bd53f860e0bde26a3f69893e322345c62fdd07867018e676e73f23ebce1e44035838640e0da61ddbc8e0f55a4d0a0d854a9127fa9e
-EBUILD insipid-sphinx-theme-0.4.2.ebuild 667 BLAKE2B 4fa54f60c6678044efd86380199e72c037aad12e21c4912089b1df1d3ea01f87913d0b75e528219fcfa9e1e5749c6701bbbed69ad4678818b67ecf7e5d1cf7f2 SHA512 b85d0a114b397dc4e0b6da617970ae4bff963db0390cad0dcf72aa7a4f9d2c73630dfc281fa911cf8db90804babaf248fa836b9359e4a978da92d839d8c2ebc1
+EBUILD insipid-sphinx-theme-0.4.2.ebuild 667 BLAKE2B f28202eb85e4d809e985174ad3dd6e3ff0e9889e9564255b95280eda5344dceeffa5ecbc8f20816191bfcea54d4a62fa0778eb637c7541505ee400127a6a7c41 SHA512 7c051b8763bf31a95d88e2ab9963647a75a524632b0c7329893d5deef5c87469952c225581d00796b4c4512994eb653fbfa70d28bf33b5f5c781f45fb984023b
MISC metadata.xml 451 BLAKE2B faf29e2d04c0800c87b8fd4349fe464f06f2b1aa69d8e97768c1d77c17a5867c5eeb23fc871926458d24f07e606ab825e89aa291bdc91177a9d12b4c5e17c82d SHA512 0ae1cd84860aaedcc9e8be5a310834194fee89048da4441f143cde06eafae7aaf986826b81e5c71b325d545757f4318b016b20ba9a2d46e6a0e013de2d49e216
diff --git a/dev-python/insipid-sphinx-theme/insipid-sphinx-theme-0.4.2.ebuild b/dev-python/insipid-sphinx-theme/insipid-sphinx-theme-0.4.2.ebuild
index 543f31f14008..11fec16ffe77 100644
--- a/dev-python/insipid-sphinx-theme/insipid-sphinx-theme-0.4.2.ebuild
+++ b/dev-python/insipid-sphinx-theme/insipid-sphinx-theme-0.4.2.ebuild
@@ -5,7 +5,7 @@ EAPI=8
DISTUTILS_USE_PEP517=setuptools
PYPI_NO_NORMALIZE=1
-PYTHON_COMPAT=( python3_{10..11} pypy3 )
+PYTHON_COMPAT=( python3_{10..12} pypy3 )
inherit distutils-r1 pypi
diff --git a/dev-python/jc/Manifest b/dev-python/jc/Manifest
index 1b82ca42de36..eb4fd2efad48 100644
--- a/dev-python/jc/Manifest
+++ b/dev-python/jc/Manifest
@@ -1,3 +1,5 @@
DIST jc-1.23.4.gh.tar.gz 12920166 BLAKE2B 3980f0564121362028c03fcdab653ef449bd6706eded19276cdcad7a5a18c819ae89fb5d82157af7add190203af2a9900d185aa54b0620357e6b639934bee0bf SHA512 e757e06e8eb740c85df03a92184fc285f35806365fffd4b8459e73fe54d7fcc4e476a4886daa713cd0fe1c5712aa867478a339eb208b55ef92e88945c4ae63a9
+DIST jc-1.23.5.gh.tar.gz 12938443 BLAKE2B 4234adb9eb402bc7f86abb47831b4803de71d1c193625ca20866d0cf53e9f7a70af2d8e1ec2b3a3414f2df7977a51e72dad95dc893e0e49f7d1e97a590f5a40b SHA512 595f50041b08c3b1e3d6dd65b4b0ed00e381860c87f3a79cf674f675f7c1aba56317b2cab8cac384cbbc6e36d1fa2144624e588fbb004c669d9998cf765c4ff8
EBUILD jc-1.23.4.ebuild 714 BLAKE2B 939269d71733cc8e51cbf8bd034d15d49264adabc2df17bb5e5d96befa282381c7b75c4faf931e8d21706c32a554032183c1f625cb0b63ccff4a1d910d2db429 SHA512 ebf07a39873df89a112662ae7c7e64318265ba1da6bac83484dd7f9c209570b3a5ab705b9865df7a23661505556914d73ab1c4e77a3ec2b4876b15e42e7f327d
+EBUILD jc-1.23.5.ebuild 714 BLAKE2B 939269d71733cc8e51cbf8bd034d15d49264adabc2df17bb5e5d96befa282381c7b75c4faf931e8d21706c32a554032183c1f625cb0b63ccff4a1d910d2db429 SHA512 ebf07a39873df89a112662ae7c7e64318265ba1da6bac83484dd7f9c209570b3a5ab705b9865df7a23661505556914d73ab1c4e77a3ec2b4876b15e42e7f327d
MISC metadata.xml 492 BLAKE2B 100e7421c33b90fb9180a3412206cdc2355b26dcacf988f1157a725ca8ee6eff44288ec12f8274360f086272ad3bd06e9df6a93288edeb9102551c65256a47f4 SHA512 cb0abbd0c1b02b1fd4c74034e1f41a53ed0b7f297dcfad4e9f6b2a4960e16790b5d879f407ab18f73c81684d3a0436327949bd628a1d1d146958f01e34206688
diff --git a/dev-python/jc/jc-1.23.5.ebuild b/dev-python/jc/jc-1.23.5.ebuild
new file mode 100644
index 000000000000..c000229f5977
--- /dev/null
+++ b/dev-python/jc/jc-1.23.5.ebuild
@@ -0,0 +1,32 @@
+# Copyright 2022-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1
+
+DESCRIPTION="Converts the output of popular command-line tools and file-types to JSON"
+HOMEPAGE="
+ https://github.com/kellyjonbrazil/jc/
+ https://pypi.org/project/jc/
+"
+# no tests in sdist, as of 1.23.2
+SRC_URI="
+ https://github.com/kellyjonbrazil/jc/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc64"
+
+RDEPEND="
+ dev-python/pygments[${PYTHON_USEDEP}]
+ dev-python/ruamel-yaml[${PYTHON_USEDEP}]
+ dev-python/xmltodict[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests unittest
diff --git a/dev-python/mkdocs-pymdownx-material-extras/Manifest b/dev-python/mkdocs-pymdownx-material-extras/Manifest
index 6eb595dbca42..665fc7929f8b 100644
--- a/dev-python/mkdocs-pymdownx-material-extras/Manifest
+++ b/dev-python/mkdocs-pymdownx-material-extras/Manifest
@@ -1,5 +1,7 @@
DIST mkdocs_pymdownx_material_extras-2.5.1.tar.gz 24771 BLAKE2B 2bee64966601503fd6c11d8256ca73210923cf59df41a319b45c2db2435b205a860cbbfc04e5ddffceb05d6371c95dda6ceab88c4c8d3fdaa583dacd64a832ca SHA512 f50a40c55e72fcbe2d51777c434cc1fb841645456efb3b60fd8f6412b9008467e191e0cb072692e3552c7f28e678b503642845b787c66f56b9f9e4b2504bb68d
DIST mkdocs_pymdownx_material_extras-2.5.4.tar.gz 22567 BLAKE2B f1b666deae52802d81320b06c6f193ae7204dd631551a83717f5c01ceff7bb46779a9c5b0743d23913577b127510a1ac0d9de9a6ff3b7e567c8a7263b38b6077 SHA512 6c41ca67a1f41d6ff3bcee7f1c48fb51cf94ef275eacda2588dd976c94bef310d2679d83fd93363642f191a402b34a159d65024ba983c7bdf21c6c688c340a4f
+DIST mkdocs_pymdownx_material_extras-2.5.5.tar.gz 22591 BLAKE2B 192474ce7e632ba419f6f92830d6d167f9706f4af301fdce8f50db3e7ca647d40318be845b3bd8deb695c9a0a5e490550c54ade7028166cbc64cc3704f825084 SHA512 76e7aa03853dffcae53e25dba29787331d6e4c0604bb1334f9666043d6794cd434d6e9646922a4f329d78dbb49ea2e5f0ed5fd5c843277b21aa6486c016b74c2
EBUILD mkdocs-pymdownx-material-extras-2.5.1.ebuild 547 BLAKE2B a1691c7bfcb20ac9ae1e85de0f0f0a9a8ef05025e809af8f7c03fda32380760fc0e4265f8453e71b69af34108deda1b68a3b8e76caab2af1ebf73a7bd75bd986 SHA512 c7b346059470e61f1f9c8ab801ed2f2bd18fcf188085dce71330c078252059d5dd1b2eafff11f7dbac475e1d084929fdd2a77242c05e10c883affee05b59f794
EBUILD mkdocs-pymdownx-material-extras-2.5.4.ebuild 548 BLAKE2B ab8223c1ec5f0ea0ac569723bd23f43238de6fff4ddd64d719cfbabf86d372fa2f6a9b74c0920c60e2b8b1b379686d458c248111e53ff341edf1fa4c8bcc89a5 SHA512 b6c55a3cffe60293dd9f2782e25ec6e4ce69d2ba189b6579181a3f66d34007f896bf642c2854f4652d3d93f4fc59cc98c20208f979fe8f78b293684b44f285d4
+EBUILD mkdocs-pymdownx-material-extras-2.5.5.ebuild 548 BLAKE2B ab8223c1ec5f0ea0ac569723bd23f43238de6fff4ddd64d719cfbabf86d372fa2f6a9b74c0920c60e2b8b1b379686d458c248111e53ff341edf1fa4c8bcc89a5 SHA512 b6c55a3cffe60293dd9f2782e25ec6e4ce69d2ba189b6579181a3f66d34007f896bf642c2854f4652d3d93f4fc59cc98c20208f979fe8f78b293684b44f285d4
MISC metadata.xml 1167 BLAKE2B a4efd99b0128f99bb7a8da17fde37695cff1f9e50ddec9d3b71e5eae4a09b8ba6646259c724220ee5905faa420efcdaf4be1d0828c8cc4d9e7040ebf1398bd0e SHA512 37d5b8e942796e54f31d0a2d592157d7a50d8fe5bdedf6f0e57305d60b4d7fd99f649e2604bb53cba5cf457227c3c1debfd607b3f5b97fcaee7e8209fbc900ec
diff --git a/dev-python/mkdocs-pymdownx-material-extras/mkdocs-pymdownx-material-extras-2.5.5.ebuild b/dev-python/mkdocs-pymdownx-material-extras/mkdocs-pymdownx-material-extras-2.5.5.ebuild
new file mode 100644
index 000000000000..5d8fcd4e68d2
--- /dev/null
+++ b/dev-python/mkdocs-pymdownx-material-extras/mkdocs-pymdownx-material-extras-2.5.5.ebuild
@@ -0,0 +1,23 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{10..11} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Custom alterations based on Mkdocs-Material"
+HOMEPAGE="
+ https://github.com/facelessuser/mkdocs_pymdownx_material_extras/
+ https://pypi.org/project/mkdocs-pymdownx-material-extras/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~x86"
+
+RDEPEND="
+ >=dev-python/mkdocs-material-8.3.3[${PYTHON_USEDEP}]
+"
diff --git a/dev-python/pikepdf/Manifest b/dev-python/pikepdf/Manifest
index ec4eda122ad7..0c1b3ff706c8 100644
--- a/dev-python/pikepdf/Manifest
+++ b/dev-python/pikepdf/Manifest
@@ -1,5 +1,7 @@
DIST pikepdf-8.4.1.tar.gz 2853305 BLAKE2B 2298514159db17ba49b8e2fa2407d60de50273bea111ece704251d99193bdc4c8ed77f624237a49c3f4f129e3b14ac4ddd1006cf3024bcbf822bc5523e0fee35 SHA512 6989e8a3888f612e453ec1ea8425c0ca35ccfee19ae5e8c32df136ebc3fbb7728d9fe5beaacb4e392a20c9037a1009fc8f8d53d73634427fb0df9103626e34fa
DIST pikepdf-8.5.1.tar.gz 2854559 BLAKE2B 70bca735461d0234cd43cc757a1e8137f9cc30715c409d0bc42c4c547d961e2416203212e91b35cc8a2ac464bb0150fcd685d47fe43d6c1664210918bbb11fc6 SHA512 7c5dc66378c6bb2aaeb9a9fba1c69172619ee516f285e36e5560beb8b10164c01392d06d546f69818af59ebbe7d8c5fa299237d78e622d2cd14ca7c6c1020992
+DIST pikepdf-8.5.2.tar.gz 2854729 BLAKE2B 276d96d21e0d5d58177776257286560771896424dd49145cf5daf32bd6344a0d18b22ca4a0ee806d1aabdef3310a751a091f9a6f4725199d04dab689ea678546 SHA512 7f107ed1535e876c1892d3ffdae57fca85c140ff2fdd981937600b310692248c53a3539dc8c1c1c5ce6e35349692d67c6c4e2f31a3a74ead246faaa212bd70d4
EBUILD pikepdf-8.4.1.ebuild 1680 BLAKE2B 2d988c8345fe6642e1bf990dd385259ac9b8709e8e22b6b1dc74f3e7ecf88193fb9c06cc3085b82aefb811a5cf18f676dd23c2d75c27a4071903a291bf272f5a SHA512 05b25f5fafcb3999eee5c8f1c5f44e6b1c7dfd0397fdcf7e4f2a5c812a950cf00a87a502a4244cf01e775ee5b7360cffbf2dbcba64d5b203216be008400e4683
EBUILD pikepdf-8.5.1.ebuild 1691 BLAKE2B 86a1e90748909974401c539c64ccb9b496a1842f333c9d656b097dfa94bb742bfc1c2ac33771ab455b0b69d4945a42b05c37a91491e8b2835e70ac332874484c SHA512 27eacb24b11383380a14fea7ffeb74db0a03b75f00b41009f3e3d37c7ae25c42131a0f5194a0e39d6c05a854fbc49c14ae376c71ef92ac107aafc7ee810eee60
+EBUILD pikepdf-8.5.2.ebuild 1686 BLAKE2B dd1d53993c61c1850926d0ac4536a8f772a76cb1ef15974dc84999f0b70a17da5481f87f719942a0d715eb867f152bd14ecbef978e70ce73f69648241d9397e8 SHA512 64c389646883b124d8cbb13fb57d923ffa65b21b81b287600c61ba38871dc94d79350e90ae6dc6305c6cd4149a5c1fdc85417591d908576350f557c6976f092b
MISC metadata.xml 687 BLAKE2B 07c94d9dac5323202f955fd9c1e5a6fc78518a0a6f703c54c73b70e774900c41a4823beb3f8be7068d83878d1e60df0d7e30efd53bbc1ba31019477de82b092f SHA512 1be3ec00342e8079363db0c57f75ae88bd05e873869fbbb27442e9fe98eb6917c55b4eaf03ed22c4c44ca3aec9b84839cbc254202460a3266bbc42ff8f0f84b3
diff --git a/dev-python/pikepdf/pikepdf-8.5.2.ebuild b/dev-python/pikepdf/pikepdf-8.5.2.ebuild
new file mode 100644
index 000000000000..ebd3628c4865
--- /dev/null
+++ b/dev-python/pikepdf/pikepdf-8.5.2.ebuild
@@ -0,0 +1,62 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Python library to work with pdf files based on qpdf"
+HOMEPAGE="
+ https://github.com/pikepdf/pikepdf/
+ https://pypi.org/project/pikepdf/
+"
+
+LICENSE="MPL-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+# Check QPDF_MIN_VERSION in pyproject.toml on bumps, as well as
+# https://qpdf.readthedocs.io/en/stable/release-notes.html.
+DEPEND="
+ >=app-text/qpdf-11.5.0:0=
+"
+RDEPEND="
+ ${DEPEND}
+ dev-python/deprecation[${PYTHON_USEDEP}]
+ >=dev-python/lxml-4.0[${PYTHON_USEDEP}]
+ dev-python/packaging[${PYTHON_USEDEP}]
+ >=dev-python/pillow-10.0.1[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ >=dev-python/pybind11-2.10.1[${PYTHON_USEDEP}]
+ >=dev-python/setuptools-scm-7.0.5[${PYTHON_USEDEP}]
+ test? (
+ >=dev-python/attrs-20.2.0[${PYTHON_USEDEP}]
+ >=dev-python/hypothesis-6.36[${PYTHON_USEDEP}]
+ >=dev-python/numpy-1.21.0[${PYTHON_USEDEP}]
+ >=dev-python/pillow-5.0.0[${PYTHON_USEDEP},jpeg,lcms,tiff]
+ >=dev-python/psutil-5.9[${PYTHON_USEDEP}]
+ >=dev-python/pytest-timeout-2.1.0[${PYTHON_USEDEP}]
+ >=dev-python/python-dateutil-2.8.1[${PYTHON_USEDEP}]
+ >=dev-python/python-xmp-toolkit-2.0.1[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ dev-python/tomli[${PYTHON_USEDEP}]
+ ' 3.10)
+ )
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+ # fragile to system load
+ tests/test_image_access.py::test_random_image
+)
+
+src_prepare() {
+ sed -e '/-n auto/d' -i pyproject.toml || die
+ distutils-r1_src_prepare
+}
diff --git a/dev-python/pip/Manifest b/dev-python/pip/Manifest
index 128bb27a9cea..22683e2005f7 100644
--- a/dev-python/pip/Manifest
+++ b/dev-python/pip/Manifest
@@ -1,6 +1,8 @@
AUX pip-23.1-no-coverage.patch 1836 BLAKE2B f8c95ed26d5a7cba2a516b8d134ddd9901fd7d39dc8bf174397ab2afab33e93c4af342195b5b4d7b0aedc642493f1ed2ee474c74e16e285f335dcdcf531b1777 SHA512 c63929cc5324b2a741a4c1ebb4990c376eb6a4c0f39370e456b674ce3cfbdf10471ec48cf9368fccba9264fd9d4a5667988116163e73772496f28d52986ff111
DIST pip-23.2.1.gh.tar.gz 9370625 BLAKE2B 9e7855aae371a773a070c24b50f985dac6ff7c2412d51e268368b911b92d0d0b52a839f9d761d5f6aaff33f1e7570d5f930e5063e8af98aa99f50d2f1c1b5ed2 SHA512 a6c629976c332cffe5dff0ec1e201d694c7a42fa8def202ebf1db251a6dbd90091eaac89c36a354a0cf0c60cdb267b4e0ec9ff6a88b0ac61cfaafdf159e34fc8
+DIST pip-23.3.1.gh.tar.gz 9397023 BLAKE2B f5085bf1faaca93954abb2dfb99f5a365b7bff385ad9f0f692fb41bbf0586617f0a3d7f36df5e3475f150819fdbf7f79fc6bf8b2425fe06dc570cd0ec98fed6e SHA512 eddca29e8c3727d1d8d793ab0b05f069781cac06df805fcf7a363da738d39498135ccbbb6d2d442604a7bf78ba6c3d101ec2043431ac1832a3f2710db7cc5e56
DIST pip-23.3.gh.tar.gz 9394878 BLAKE2B 6ef608b204a4cb796585c5ff130ee642bce0e7a464099b7eaf9c9199203fc28ff0a1b260a731f9ba462a9b82e6f68be12fc622ed809ad41a1ab92adaa4993cbd SHA512 1afef5374410387bd1056a9ada21893f1fbb81e7a2d0ab2c9f4b500c99d25b98b55254e0dc36c4e4e408ad84b7be0e24709d25447168b076ce7723d35462d055
EBUILD pip-23.2.1.ebuild 4215 BLAKE2B d72e3ca23f6c4405f63333554873470f4d550981b3b6e582d9ff5ffdd442a81d02f49b2041aa69d18f9d203cce356da15837012383cb9e7eb67e6aed1bc35435 SHA512 98324ea9475914ed958af64d651fd1bec0f4c5166015438a30505713e003d7fb053f1edbcafce1c3594d94e3c41331ae58e8c49b2afd9191b123f2b6a9f0646c
+EBUILD pip-23.3.1.ebuild 4223 BLAKE2B 04f51fa0a7c263a14453afd76fca041106b6c186d4471008604dbc196fdb2fc01fa9e832a700b2223c6e3330c39b9f621c33c348a88d10eed8ee6c84516082b5 SHA512 be7c42798d0bb8ca53f1c222c4992e0ef7b244c0a87004490296bda85a8610fb954f76eae48b9b26eeecdf9060406c9fc2f1395fc2441d3b51a88f75153abc39
EBUILD pip-23.3.ebuild 4223 BLAKE2B 04f51fa0a7c263a14453afd76fca041106b6c186d4471008604dbc196fdb2fc01fa9e832a700b2223c6e3330c39b9f621c33c348a88d10eed8ee6c84516082b5 SHA512 be7c42798d0bb8ca53f1c222c4992e0ef7b244c0a87004490296bda85a8610fb954f76eae48b9b26eeecdf9060406c9fc2f1395fc2441d3b51a88f75153abc39
MISC metadata.xml 392 BLAKE2B 94ea3de1220cb9ca64ae1186597789cc83a54adfe44695932c07dd5065df0e5f9ee5078a495e3a12563b36809d781d8ab86bb6c92c485c023199d92547b74f27 SHA512 603199f6547105f3bb64f4fcaf004e9ef62fa2e0f8ec6eab56078119684b0f5119161e0f164fe02b2cf6dd6b115588c9ef77d727eeb6d138e281f1cb0bcb5de9
diff --git a/dev-python/pip/pip-23.3.1.ebuild b/dev-python/pip/pip-23.3.1.ebuild
new file mode 100644
index 000000000000..58c5279dbfaa
--- /dev/null
+++ b/dev-python/pip/pip-23.3.1.ebuild
@@ -0,0 +1,130 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+# please bump dev-python/ensurepip-pip along with this package!
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_TESTED=( python3_{10..11} )
+PYTHON_COMPAT=( "${PYTHON_TESTED[@]}" python3_12 pypy3 )
+PYTHON_REQ_USE="ssl(+),threads(+)"
+
+inherit bash-completion-r1 distutils-r1 multiprocessing
+
+DESCRIPTION="The PyPA recommended tool for installing Python packages"
+HOMEPAGE="
+ https://pip.pypa.io/en/stable/
+ https://pypi.org/project/pip/
+ https://github.com/pypa/pip/
+"
+SRC_URI="
+ https://github.com/pypa/pip/archive/${PV}.tar.gz -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+# bundled deps
+LICENSE+=" Apache-2.0 BSD BSD-2 ISC LGPL-2.1+ MPL-2.0 PSF-2"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+SLOT="0"
+IUSE="test-rust"
+
+RDEPEND="
+ >=dev-python/setuptools-39.2.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ ${RDEPEND}
+ test? (
+ $(python_gen_cond_dep '
+ dev-python/ensurepip-setuptools
+ dev-python/ensurepip-wheel
+ dev-python/freezegun[${PYTHON_USEDEP}]
+ dev-python/pretend[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ dev-python/scripttest[${PYTHON_USEDEP}]
+ dev-python/tomli-w[${PYTHON_USEDEP}]
+ dev-python/virtualenv[${PYTHON_USEDEP}]
+ dev-python/werkzeug[${PYTHON_USEDEP}]
+ dev-python/wheel[${PYTHON_USEDEP}]
+ test-rust? (
+ dev-python/cryptography[${PYTHON_USEDEP}]
+ )
+ ' "${PYTHON_TESTED[@]}")
+ )
+"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ local PATCHES=(
+ "${FILESDIR}/pip-23.1-no-coverage.patch"
+ )
+
+ distutils-r1_python_prepare_all
+
+ if use test; then
+ local wheels=(
+ "${BROOT}"/usr/lib/python/ensurepip/{setuptools,wheel}-*.whl
+ )
+ mkdir tests/data/common_wheels/ || die
+ cp "${wheels[@]}" tests/data/common_wheels/ || die
+ fi
+}
+
+python_compile_all() {
+ # 'pip completion' command embeds full $0 into completion script, which confuses
+ # 'complete' and causes QA warning when running as "${PYTHON} -m pip".
+ # This trick sets correct $0 while still calling just installed pip.
+ local pipcmd='import sys; sys.argv[0] = "pip"; __file__ = ""; from pip._internal.cli.main import main; sys.exit(main())'
+ "${EPYTHON}" -c "${pipcmd}" completion --bash > completion.bash || die
+ "${EPYTHON}" -c "${pipcmd}" completion --zsh > completion.zsh || die
+}
+
+python_test() {
+ if ! has "${EPYTHON}" "${PYTHON_TESTED[@]/_/.}"; then
+ einfo "Skipping tests on ${EPYTHON}"
+ return 0
+ fi
+
+ local EPYTEST_DESELECT=(
+ tests/functional/test_inspect.py::test_inspect_basic
+ tests/functional/test_install.py::test_double_install_fail
+ # Internet
+ tests/functional/test_install.py::test_install_dry_run
+ tests/functional/test_install.py::test_editable_install__local_dir_setup_requires_with_pyproject
+ tests/functional/test_install.py::test_install_8559_wheel_package_present
+ tests/functional/test_config_settings.py::test_backend_sees_config_via_sdist
+ tests/functional/test_install.py::test_link_hash_in_dep_fails_require_hashes
+ # TODO
+ tests/unit/test_network_auth.py::test_keyring_cli_get_password
+ tests/unit/test_network_auth.py::test_keyring_cli_set_password
+ # wants to install keyring from Internet, sigh
+ tests/functional/test_install_config.py::test_prompt_for_keyring_if_needed
+ # probably a too strict assert
+ # https://github.com/pypa/pip/issues/12152
+ tests/unit/test_req.py::TestRequirementSet::test_download_info_archive_cache_with_invalid_origin
+ )
+
+ if ! has_version "dev-python/cryptography[${PYTHON_USEDEP}]"; then
+ EPYTEST_DESELECT+=(
+ tests/functional/test_install.py::test_install_sends_client_cert
+ tests/functional/test_install_config.py::test_do_not_prompt_for_authentication
+ tests/functional/test_install_config.py::test_prompt_for_authentication
+ tests/functional/test_install_config.py::test_prompt_for_keyring_if_needed
+ )
+ fi
+
+ local -x SETUPTOOLS_USE_DISTUTILS=stdlib
+ local -x PIP_DISABLE_PIP_VERSION_CHECK=1
+ epytest -m "not network" -n "$(makeopts_jobs)"
+}
+
+python_install_all() {
+ local DOCS=( AUTHORS.txt docs/html/**/*.rst )
+ distutils-r1_python_install_all
+
+ newbashcomp completion.bash pip
+
+ insinto /usr/share/zsh/site-functions
+ newins completion.zsh _pip
+}
diff --git a/dev-python/pycairo/Manifest b/dev-python/pycairo/Manifest
index cd0720a25ee2..47a344e613fa 100644
--- a/dev-python/pycairo/Manifest
+++ b/dev-python/pycairo/Manifest
@@ -1,6 +1,8 @@
AUX pycairo-1.25.0-init.patch 1409 BLAKE2B 3d72e812e8f5fd25afbf210520bb0f4eabe3bc10e7363336d5ac02fc06527ba42a507012d7e9f29bd1ba978d25bdd14ced6f9e45afd04b66618ef1026b826e49 SHA512 e6f9c25f1959e91016b629fe2cdd8f993165c95664652ba9716965a158a938d556a3f69c0e1c7ad129589bd0c1b9d45fc8a70398d6c474039766d9b2e95f6f48
DIST pycairo-1.24.0.tar.gz 344850 BLAKE2B f1469254ccfcb96ee5e39af49fcae575717e2f0e9a3dc74a13408306b5c94f4557a9c6d6a448541cb1f6dd27781e484b37d5ea9f230dc87f9d3370fac31dfdba SHA512 bbc160bc9c3c9365018c680f6a69347bc222cdaec10ea48d18aedd0341048df74973d3299d783662adf02b414874824660da10943d88f64c30451d3fdccc63fb
DIST pycairo-1.25.0.tar.gz 347794 BLAKE2B d05c1f505059c181d176b533ff4753e90888189160b1904531da4d9e9b784976442acb8c848be48d23e04f1fd07fef88a05b374c833ecee1c0b0e2881dadd4d0 SHA512 f34df509d36fbc739e8ddb40e2ead473db6970eacb7a2b0ccad8b82fd41a5daa25c89a5d34e7f2b2b70c4bf74e4e9d87465414aa414280e0aa7a4787b05712da
+DIST pycairo-1.25.1.tar.gz 347088 BLAKE2B ba4eedaf47e514bd7c3ad5ea738d099428958988a708255f59df48372d112d0195fe746be03de56aa25ccce9c2366b8898fcdd568b427372d0340c5edd550a5c SHA512 f2b93a09cbe9cd7c2885794ff58a48df6cf59fbe2dbeabf7c6e9d99e68c71ac220abc866ac0d756c7ffb3f821ef63b65dbb8963f0bf7d5bd21ee0efb800e7b23
EBUILD pycairo-1.24.0.ebuild 1236 BLAKE2B aea95e9f30aaed453d16742bb76d65d14d4f096b072ac52ec17fb74e9abefed183a633dae265ce34e018f5c0f1fb96d6732c5f9ee75003ebd8e0cd13cd72e21b SHA512 fa792fc7a89962c9e0ccbfeabd0845838be04de7e46ee0a2601de8cd36bc8eb77fa0652f1cbb2255f66333db128cebe212cafe202a0861a444c4fdf76641e397
EBUILD pycairo-1.25.0.ebuild 1582 BLAKE2B 553d84520a56452099ca7c8869c66266fcfb5a2d6665613b8bf32dfce8f6f2d2131841ae1526bdb3eea0a7b8f413f85bd4ee6e6701c41ca6ce5aa3632dcb820c SHA512 c937c8249a4c904f301a6e0ee959dce0c58a8c848bfe957a36a42f7d9f3b6278f4902ad49efa7c6113a04624cec09c745f7d1718747bc9c5ad58dd5de6fc5ee8
+EBUILD pycairo-1.25.1.ebuild 1538 BLAKE2B e0f3b8d2024201fd58077d315fb71def03c97c56a1632abff0528389ac6264bdc668e044cd650b3c22b6fe36e8d53d4ad1023904816447b6731e8ee5b3549cb4 SHA512 28deeb8378af83af8ee55884aba65f199454a6e9876306c89f34ab29cf9d7233f744209530e745179c8ea324baed657189ca69ee85aa2b8d4797bc594757fb7d
MISC metadata.xml 368 BLAKE2B 5e0f85e23bc56113927d28072c7178d27fc058b1e90851150c55e9e713edb96dd5daa79df8423f6719032538c9448d8afa9b750961bd82a5bcfae2d5e228c6b6 SHA512 c1e81ed2f535c8050f18950a57b71aa871b965c57d1e5ca8e8a4c48ecd643bc9ec326e046c1aea9f3f41124b9fe765a0b9b46a541c28f325cae7038cea66d086
diff --git a/dev-python/pycairo/pycairo-1.25.1.ebuild b/dev-python/pycairo/pycairo-1.25.1.ebuild
new file mode 100644
index 000000000000..7635d9cdf398
--- /dev/null
+++ b/dev-python/pycairo/pycairo-1.25.1.ebuild
@@ -0,0 +1,73 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} pypy3 )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1
+
+DESCRIPTION="Python bindings for the cairo library"
+HOMEPAGE="
+ https://www.cairographics.org/pycairo/
+ https://github.com/pygobject/pycairo/
+ https://pypi.org/project/pycairo/
+"
+SRC_URI="
+ https://github.com/pygobject/${PN}/releases/download/v${PV}/${P}.tar.gz
+"
+
+LICENSE="|| ( LGPL-2.1 MPL-1.1 )"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos"
+IUSE="examples"
+
+BDEPEND="
+ virtual/pkgconfig
+ test? (
+ dev-python/hypothesis[${PYTHON_USEDEP}]
+ )
+"
+RDEPEND="
+ >=x11-libs/cairo-1.15.10[svg(+)]
+"
+DEPEND="
+ ${RDEPEND}
+ x11-base/xorg-proto
+"
+
+distutils_enable_sphinx docs \
+ dev-python/sphinx-rtd-theme
+distutils_enable_tests pytest
+
+python_test() {
+ esetup.py build_tests
+ epytest
+}
+
+python_install() {
+ distutils-r1_python_install
+
+ # we need to pass --root via install command, sigh
+ cat > "${T}/distutils-extra.cfg" <<-EOF || die
+ [install]
+ root = ${D}
+ EOF
+ local -x DIST_EXTRA_CONFIG=${T}/distutils-extra.cfg
+ esetup.py \
+ install_pkgconfig --pkgconfigdir="${EPREFIX}/usr/$(get_libdir)/pkgconfig"
+}
+
+python_install_all() {
+ if use examples; then
+ dodoc -r examples
+ fi
+
+ distutils-r1_python_install_all
+
+ insinto /usr/include/pycairo
+ newins cairo/pycairo.h py3cairo.h
+}
diff --git a/dev-python/sqlglot/Manifest b/dev-python/sqlglot/Manifest
index 5540d8657ed8..b2ca5254ae9d 100644
--- a/dev-python/sqlglot/Manifest
+++ b/dev-python/sqlglot/Manifest
@@ -4,10 +4,12 @@ DIST sqlglot-18.14.0.tar.gz 8880297 BLAKE2B f5036816e165ca8f6d65ed21db618b216444
DIST sqlglot-18.15.0.tar.gz 8888074 BLAKE2B 22082ddd15eb6245c05495b4202e9fab5d3ab1085cc74139a5ba3f909fbde1487e2cd9501bb218efe9e72748e8b2f7d04a247e357c27e6a9027169b809fe7136 SHA512 25df8fdf1ba2e2022ed82ba7d7a6f2c861b96cc5e440bf23488b75f861ee93504ad1d706cd88cdb74a652070c328abe52e4790cc4020059f27129720c0fa4be8
DIST sqlglot-18.15.1.tar.gz 8895777 BLAKE2B 7aa5d7269c2e9d17ed68130d0129cc0a5abcd101a28ce5b85f5636dfa215934309cf7bf2d56ab6c2a819fe1a6128cd33355b39b29f76db32f84ea88034098502 SHA512 487646147ed2084c54e93326ba8df0225ae26e780e1ed3375f3eb2fc7fc6c82f0a4bf41a1967ce7719df1bd92b09b0fc175cd70659fe692507b6bfc4eafe6791
DIST sqlglot-18.16.0.tar.gz 8929202 BLAKE2B e47a86345eb3ff2422d45171fddda2ebe9994b5749bb91293253d83874df64f5e1d494c78c359c7c46b5f0b95d4bfe89b06fd0deb3a4d75cf379c3f98e8ae03f SHA512 b98837e947c75cdca2034bf09ee0474e908c8d69d5f5e8306381967b7e8d8b3a7e8d4027bbd436eae328d856abdbef7121a117f8486a949f0129fd3e06d6f87a
+DIST sqlglot-18.16.1.tar.gz 8933427 BLAKE2B ecd83a903cc8e4bbe3d1c80086aefe991a671746630366dd30e5072b8287d57643d35fcd138f10c91086a484ee9b4040f94efb766d64d4622af2210009af6680 SHA512 f3d7e729d574d557033bca747aacd9629f18cb57874d1c0b883b9cb3ea42c1635a1a299aaee8849ee1716f567580425ad003ee8eac0d0b4314971e1cddfb69b0
EBUILD sqlglot-18.12.0.ebuild 919 BLAKE2B d6c7bf029e48f9b11c305adbc89473b9bcb7277299a869569aeefe69dd63e4ac19c9a7e3c23ba8981e6d7f46b7e4611cbfcc18b871876e949e0912c3ded446bc SHA512 5f42256d970f291e0a0eed073a1060a1e5dc15b872b1ecca6b9aeceb380c48e1bb1f1b61719a582d8bd56e01eaf8b3578fd374ee7fff761ac6a95e746b07c2f9
EBUILD sqlglot-18.13.0.ebuild 919 BLAKE2B d6c7bf029e48f9b11c305adbc89473b9bcb7277299a869569aeefe69dd63e4ac19c9a7e3c23ba8981e6d7f46b7e4611cbfcc18b871876e949e0912c3ded446bc SHA512 5f42256d970f291e0a0eed073a1060a1e5dc15b872b1ecca6b9aeceb380c48e1bb1f1b61719a582d8bd56e01eaf8b3578fd374ee7fff761ac6a95e746b07c2f9
EBUILD sqlglot-18.14.0.ebuild 919 BLAKE2B d6c7bf029e48f9b11c305adbc89473b9bcb7277299a869569aeefe69dd63e4ac19c9a7e3c23ba8981e6d7f46b7e4611cbfcc18b871876e949e0912c3ded446bc SHA512 5f42256d970f291e0a0eed073a1060a1e5dc15b872b1ecca6b9aeceb380c48e1bb1f1b61719a582d8bd56e01eaf8b3578fd374ee7fff761ac6a95e746b07c2f9
EBUILD sqlglot-18.15.0.ebuild 919 BLAKE2B d6c7bf029e48f9b11c305adbc89473b9bcb7277299a869569aeefe69dd63e4ac19c9a7e3c23ba8981e6d7f46b7e4611cbfcc18b871876e949e0912c3ded446bc SHA512 5f42256d970f291e0a0eed073a1060a1e5dc15b872b1ecca6b9aeceb380c48e1bb1f1b61719a582d8bd56e01eaf8b3578fd374ee7fff761ac6a95e746b07c2f9
EBUILD sqlglot-18.15.1.ebuild 919 BLAKE2B d6c7bf029e48f9b11c305adbc89473b9bcb7277299a869569aeefe69dd63e4ac19c9a7e3c23ba8981e6d7f46b7e4611cbfcc18b871876e949e0912c3ded446bc SHA512 5f42256d970f291e0a0eed073a1060a1e5dc15b872b1ecca6b9aeceb380c48e1bb1f1b61719a582d8bd56e01eaf8b3578fd374ee7fff761ac6a95e746b07c2f9
EBUILD sqlglot-18.16.0.ebuild 919 BLAKE2B d6c7bf029e48f9b11c305adbc89473b9bcb7277299a869569aeefe69dd63e4ac19c9a7e3c23ba8981e6d7f46b7e4611cbfcc18b871876e949e0912c3ded446bc SHA512 5f42256d970f291e0a0eed073a1060a1e5dc15b872b1ecca6b9aeceb380c48e1bb1f1b61719a582d8bd56e01eaf8b3578fd374ee7fff761ac6a95e746b07c2f9
+EBUILD sqlglot-18.16.1.ebuild 919 BLAKE2B d6c7bf029e48f9b11c305adbc89473b9bcb7277299a869569aeefe69dd63e4ac19c9a7e3c23ba8981e6d7f46b7e4611cbfcc18b871876e949e0912c3ded446bc SHA512 5f42256d970f291e0a0eed073a1060a1e5dc15b872b1ecca6b9aeceb380c48e1bb1f1b61719a582d8bd56e01eaf8b3578fd374ee7fff761ac6a95e746b07c2f9
MISC metadata.xml 635 BLAKE2B fb154da2feeea6d590b4f3edb8d8d90d316feee1b8faababc022db026254bd24674d8419b74074b089d4d8930bab642cdc5fa7694bfa9e033cb5ef4ad4988562 SHA512 dd5ed7212dc2eac6a4d84bb2e3639db1ffe163598d911073d7100a8ebfeceb85842ea2e6a597d1036d5b1388d18954b95a782af7b3a84479bf3b59ef9e9b6bf8
diff --git a/dev-python/sqlglot/sqlglot-18.16.1.ebuild b/dev-python/sqlglot/sqlglot-18.16.1.ebuild
new file mode 100644
index 000000000000..368b77416b42
--- /dev/null
+++ b/dev-python/sqlglot/sqlglot-18.16.1.ebuild
@@ -0,0 +1,36 @@
+# Copyright 2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1 pypi optfeature
+
+DESCRIPTION="An easily customizable SQL parser and transpiler"
+HOMEPAGE="
+ https://sqlglot.com/
+ https://github.com/tobymao/sqlglot/
+ https://pypi.org/project/sqlglot/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+EPYTEST_IGNORE=(
+ # Tests require pyspark or duckdb which aren't in the tree.
+ # Pandas would be a requirement normally, but it gets ignored by proxy.
+ "tests/dataframe/integration/test_dataframe.py"
+ "tests/dataframe/integration/test_grouped_data.py"
+ "tests/dataframe/integration/test_session.py"
+ "tests/test_executor.py"
+ "tests/test_optimizer.py"
+)
+
+distutils_enable_tests pytest
+
+pkg_postinst() {
+ optfeature "simplifying timedelta expressions" dev-python/python-dateutil
+}
diff --git a/dev-python/tblib/Manifest b/dev-python/tblib/Manifest
index 87abecfa9b54..79801e6dde7b 100644
--- a/dev-python/tblib/Manifest
+++ b/dev-python/tblib/Manifest
@@ -1,3 +1,5 @@
DIST tblib-2.0.0.tar.gz 28695 BLAKE2B 7c7cb584e5a5f03d403253d94c051d7ffd988b2320b095376184b479f30674989cecd39ca43fd269884e73ad97e6f9424a29dec9f1338e002ebe1adfc31a52d4 SHA512 740e7b02c4ae61b12ed1c0c3623c5c2dd142aaa24989e57d67ceed4894212bc18d51f0ab0a97953f1a0e16b30ef992ecee3730038e8b8fd4a3bc437d4a1a92b0
+DIST tblib-3.0.0.tar.gz 30616 BLAKE2B 4e2ea0e0f09894f1a8dee4d0dbdc61c054964e4ec5a8a1fbb31f3793268ab8607b5b6e547f7771264c9863522b01cdd39ef6aa4a91d757f1c37f9fac37d6cbaf SHA512 9914709846a4a9b0d9fe0f58eb321085f69e11ce364930f67cc5fec008d6ca57963b17699b0a136e2de91ff01004275fc43a38f318b9faab7cb2fac861108297
EBUILD tblib-2.0.0.ebuild 678 BLAKE2B 9c3a52f849680f7a8e0541c9d3cf2e7d2dbf40bee2d92f1116673e544fd40e18bc77b292bba434b4c18efab5ee2c261cd99dda0799c77ab4f9764f75c66974d7 SHA512 323247e0e97eff468fbbd692bebc0983df4663a478f7aafbe0c1fbe07c6efb839b93062420f6e1660499604956f22941cdce6112195b9026703c2dc8804ade69
+EBUILD tblib-3.0.0.ebuild 716 BLAKE2B 44ea402670e58fc853a8b8a6c5129928b7a5bc0ca954a253c1ccac6b062302513f3ca28032d384dd8d320edf45ed0519a3feeabc682a523999f479657bbfd920 SHA512 71c2958386a3bdd9784c5dafdf13d6d10dce73520f52f02d6a883e033200dc09fa4b3ac9876014ef868f6f32f98f57746afaf5ea6764f93f4d5d92aa1fc1fa0e
MISC metadata.xml 406 BLAKE2B 196dcfaca9d242ddf68db2f831720a877f9aa1ec0f1d8aefb4d20f03a8399370ac62e5c009b1538c7f20512bc17ca23c5286544081a8f15512a95e1b4c754e9e SHA512 0e82fd782c7532e0f1877aea67c3171847469f7c0669664b8d9b1a22bdeca9daf6f6159f202041d3f1d83c3bd9871ee084564df0e7b64c8c2230d8b5aba2a91f
diff --git a/dev-python/tblib/tblib-3.0.0.ebuild b/dev-python/tblib/tblib-3.0.0.ebuild
new file mode 100644
index 000000000000..ca5117b738bc
--- /dev/null
+++ b/dev-python/tblib/tblib-3.0.0.ebuild
@@ -0,0 +1,36 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Traceback fiddling library for Python"
+HOMEPAGE="
+ https://github.com/ionelmc/python-tblib/
+ https://pypi.org/project/tblib/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ia64 ~loong ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ dev-python/six[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/twisted[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ local -x PYTHONNODEBUGRANGES=yes
+ epytest
+}
diff --git a/dev-python/websockets/Manifest b/dev-python/websockets/Manifest
index 0d22bb7cd1c1..c567393d6093 100644
--- a/dev-python/websockets/Manifest
+++ b/dev-python/websockets/Manifest
@@ -1,4 +1,6 @@
DIST websockets-11.0.3-python3.12.patch.xz 4328 BLAKE2B 6ef94255ef5d95de8015eca14a5110373ab9ffadf4d1c86a892da1aac46caa2755cafeb643a222000a03262c1b1b1aea58132daff36981c00dbb68ce05484058 SHA512 421a6fb5a2a801850ea1fbaf890c11eac0f55ad288185f16f4244f316132591bc5a814636141ba3ada67aeff340f41de61d06c8db87010c858c1b0b02fd9b5ab
DIST websockets-11.0.3.gh.tar.gz 347652 BLAKE2B b7d796744cb4c7b944e98644dfb9c0e44ba465a6dba71b9e891604f3012b025557dbcd5b7eeae02e71c84350e05b334f99404ddfda814a8984b7a893d3f092f7 SHA512 37a84d7c57da7a3e48870abf992ba96ee454b342610d51c06f7dfc7ee082b7fb51304518c208379c3dbd039eafb1a85444c257fed20b4605a52dc8fc938a4cca
+DIST websockets-12.0.gh.tar.gz 352120 BLAKE2B cab704e0ee44a7012ee58d515a5ea7380a97a3cbb8f55d105c00c8c2b9ed992b4c87435875474de32e5969fd92256bdec830db0571399a1d2e5fb719b23c2d83 SHA512 f17943d444ce275b709cf89453b2d2cce09f5af26f0460e226c2e24cfbb425c825963352e130dcd4201587606355375b525d8e5a02eccbffbb3985a108a3ed5e
EBUILD websockets-11.0.3-r2.ebuild 1486 BLAKE2B ea9991ebd3c46ee6d057a44d8596c75a74879ce1f661cf9ce1d05e975be2ec451cd897d31da5266a518b9cf333013c3f61d2e23a20341812a4c1959217e9ccc3 SHA512 ae6aca3c8a3b1ca538250ea1257c7723eb9650bbf81de0cb9cbdcf3727fe9086130ea0c598d1826eb478d9c6dbf8c41d94069a3162e4a886477f9ce064d1fb0e
+EBUILD websockets-12.0.ebuild 1434 BLAKE2B 5c6cb842e6b333f31b4c65d661a38b69e08146cd843f51343ca4e590a487d962d577c8c2c50ce4cbd6dd99d9cbbdc759e29b3c0aa1a0a55b1c753287f1f71e13 SHA512 b8a6104ece0a37e865cdb6453c10421d3d5dc1dacb07bae1f11744e7766c395efb8c1ece330b734e6024a69d4e24dc500bf332316c3c3079dae7bc991d3260a1
MISC metadata.xml 580 BLAKE2B 66a318a73b2a9e37f44a28dfc9ed5f1aa7193edb05fa295bde27fd7a1c429cae1d875289ac5bd8ff7b579be2cfc5671d27dfb46ba959c47b2c1074e8e549e9c3 SHA512 c4ba79e5ec539ffb6f0338e6e161132dc8dd0e6c7e7533df1c32731810126b728076703a542bb28abc159842ad71bd42e69e36f4fe17dc3377d054d21ec53dbf
diff --git a/dev-python/websockets/websockets-12.0.ebuild b/dev-python/websockets/websockets-12.0.ebuild
new file mode 100644
index 000000000000..d6c08f6e7319
--- /dev/null
+++ b/dev-python/websockets/websockets-12.0.ebuild
@@ -0,0 +1,57 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( pypy3 python3_{10..12} )
+
+inherit distutils-r1
+
+DESCRIPTION="Library for building WebSocket servers and clients in Python"
+HOMEPAGE="
+ https://websockets.readthedocs.io/
+ https://github.com/python-websockets/websockets/
+ https://pypi.org/project/websockets/
+"
+# tests are missing pypi sdist, as of 11.0
+SRC_URI="
+ https://github.com/python-websockets/websockets/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+ https://dev.gentoo.org/~sam/distfiles/${CATEGORY}/${PN}/${PN}-11.0.3-python3.12.patch.xz
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+IUSE="+native-extensions"
+
+BDEPEND="
+ test? (
+ dev-python/pytest-rerunfailures[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+python_compile() {
+ if use native-extensions && [[ ${EPYTHON} != pypy3 ]] ; then
+ local -x BUILD_EXTENSION=yes
+ else
+ local -x BUILD_EXTENSION=no
+ fi
+
+ distutils-r1_python_compile
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # requires DNS access
+ # https://bugs.gentoo.org/909567
+ tests/legacy/test_client_server.py::ClientServerTests::test_explicit_host_port
+ tests/legacy/test_client_server.py::SecureClientServerTests::test_explicit_host_port
+ )
+
+ epytest tests --reruns=10 --reruns-delay=2
+}